Jump to content
Derivo

Paypal Umgehende Maßnahmen erforderlich – SSL 3.0 Sicherheitslücke

Recommended Posts

Hallo Freunde

Hat sich jemand schn damit befasst? Im Forum kann ich keine konkrete Antwort finden.

Bei mir ist PayPal v3.7.2 by Prestashop installiert.

 

Danke für eure Hilfe

 

P.S. 1.6.0.9

 

 

 

Share this post


Link to post
Share on other sites

Wollte das Update gerade durchführen - habe PS 1.5.3.1 und PP 3.5.1 - die Update-"Anleitung" von Paypal lässt sich aber nicht umsetzen, da es keinen "Update-Button" gibt. Wer hat die Lösung? Danke und VG

Share this post


Link to post
Share on other sites

Hi,

ja, das ist ein Problem. Hier ist ein interessanter Thread zu Thema. Aber es ist ja noch bis zu 3.Dezember Zeit.

Viele Grüße

Edited by Luca01 (see edit history)

Share this post


Link to post
Share on other sites

Ja was nun? Was muss man unternehmen, dass es richtig abläuft?

Unter den Modulen gibt es keine Möglichkeiten ein Update vorzunehmen.

 

Gruss

Share this post


Link to post
Share on other sites

Ist bereits im git von EU legal gefixt.

Du musst das entsprechende PayPal Modul drüber installieren.

 

Falls du es nicht nutzt such im addons store nach PayPal europe

Share this post


Link to post
Share on other sites

einfach das modul im backend neu hinzufüpgen dann wird es geupdatet.

 

inzwischen ist auch die Version 3.8.1 da.

Share this post


Link to post
Share on other sites

einfach das modul im backend neu hinzufüpgen dann wird es geupdatet.

 

inzwischen ist auch die Version 3.8.1 da.

Merci

Edited by Lilith. V (see edit history)

Share this post


Link to post
Share on other sites

Kann man es schon früher machen? oder muss man auf dem 3.12 warten?

je früher desto besser

Share this post


Link to post
Share on other sites

Hallo zusammen,

 

also ich habe es gemacht wie beschrieben, alle Angaben sind enthalten, trotzdem habe ich unter Module beim PayPal-Modul ein Ausrufungszeichen, obwohl ich alle Angaben eingegeben habe. Was mir im Modul Admin aufgefallen ist, dass wen ich Land auswähle der drop down leer ist. Fängt ja gut an........

Share this post


Link to post
Share on other sites

Hallo zusammen,

 

also ich habe es gemacht wie beschrieben, alle Angaben sind enthalten, trotzdem habe ich unter Module beim PayPal-Modul ein Ausrufungszeichen, obwohl ich alle Angaben eingegeben habe. Was mir im Modul Admin aufgefallen ist, dass wen ich Land auswähle der drop down leer ist. Fängt ja gut an........

welche paypal version steht den bei dir?

Share this post


Link to post
Share on other sites

Im angegebenen Link steht das es nur der Änderung einer Zeile bedarf.

Ist das wirklich so?

Ich benutze ein Paypal Modul eines Drittanbieters und da ich nicht weiß ob er mit dem update bis morgen nach kommt versuche ich es selber zu verändern.

 

Also im US Forum steht:

 

- if server use CURL: change in file modules/paypal/api/paypal_connect.php in function _connectByCURL($url, $body) the line @curl_setopt($ch, CURLOPT_SSLVERSION, 3); with this one @curl_setopt($ch, CURLOPT_SSLVERSION, defined(CURL_SSLVERSION_TLSv1) ? CURL_SSLVERSION_TLSv1 : 1);

 

Ist es wirklich so simpel?

 

Bzw. falls wirklich nur in der paypal_connect.php was geändert wurde, kann ich nur die Datei bei mir tauschen?

Share this post


Link to post
Share on other sites

Im angegebenen Link steht das es nur der Änderung einer Zeile bedarf.

Ist das wirklich so?

Ich benutze ein Paypal Modul eines Drittanbieters und da ich nicht weiß ob er mit dem update bis morgen nach kommt versuche ich es selber zu verändern.

 

Also im US Forum steht:

 

Ist es wirklich so simpel?

 

Bzw. falls wirklich nur in der paypal_connect.php was geändert wurde, kann ich nur die Datei bei mir tauschen?

Scheint so, aber die Syntax kann in deinem Modul eine andere sein, falls der Verweis auf die Verschlüsselungsmethode Teil eines Arrays ist wie in manchen Paypal-Modulen üblich.

Share this post


Link to post
Share on other sites

Klingt logisch.

Auch wenn die connect.php exact aussieht wie im original Modul.

 

Ist es ab morgen so das das Modul entweder geht oder nicht oder gibt es da irgendwelche Eventualitäten?

Sonst probiere ich morgen einfach den einen Satz zu ändern und gucke dann obs geht. Die Stunde Ausfall des Moduls nehme ich in kauf.

Share this post


Link to post
Share on other sites

So, hat es schon jemand getestet? An welcher Stelle geht es denn nicht mehr wenn es nicht geht?

Also ich werde auf Paypal weitergeleitet und soll dann mein Passwort eingeben zur Bezahlung.

Müsste das schon nicht mehr gehen?

Hat da jemand was konkretes?

Share this post


Link to post
Share on other sites

Hallo Shad86

 

Vielleicht, wer weiß, ist es erst heute Nacht auf Morgen? Handelt es sich doch bei PayPal um eine amerikanische Firma.

 

Gruss

Silvester

Share this post


Link to post
Share on other sites

Da ist was dran. Hab ich nicht drüber nach gedacht. Dann warte ich mal, vielleicht sagt ja jemand von sich aus Bescheid das sein Paypal auf einmal nicht mehr geht :-)

Share this post


Link to post
Share on other sites

Hallo zusammen,

 

ist eigentlich nicht ganz so schlimm, die Änderung betrifft den Übertragungsvorgang vom Shop zu Paypal. Wenn das Login nicht erscheint, musst Du deine Änderungen machen. Es ist also kein tatsächlicher Testkauf nötig.
Die Umstellung mir der Api von Paypal ist bereits erfolgt und es sollte hier bereits ein Test aussagekräftig sein ob es funktioniert oder nicht.

 

Viele Grüße

Manfred

Share this post


Link to post
Share on other sites

Na das ist doch mal eine Aussage.

Vielen Dank.

Dann beginne ich morgen früh direkt mal mit den Tests und dem Umschreiben.

 

Edit:

Also ich komme ohne Änderung weiterhing bis zum einloggen auf Paypal.

 

Dann wirds wohl aus irgendwelchen Gründen funktionieren.

Wer also das "PD Paypal + Extra Fee" von PrestaDev.pl benutzt, kann es also weiterhin ohne Update nutzen.

Edited by Shad86 (see edit history)

Share this post


Link to post
Share on other sites

Hallo zusammen

 

das kam heute per Mail:

 

Wenn Sie die Umstellung noch nicht abgeschlossen haben, haben wir aktuelle Informationen für Sie: Da zurzeit nicht alle Versionen von SSL 3.0 von der Sicherheitslücke POODLE betroffen sind, können wir für diese nicht betroffenen Versionen eine Fristverlängerung bis zum 12.01.2015 um 9.01 Uhr MEZ ermöglichen. Trotz dieser Fristverlängerung empfehlen wir, die Umstellung von SSL 3.0 auf das weiterhin unterstützte TLS-Protokoll umgehend vorzunehmen. PayPal wird die Unterstützung aller SSL 3.0-Versionen am 12.01.2015 um 9.01 Uhr MEZ vollständig einstellen.  

Share this post


Link to post
Share on other sites

Na damit kann man doch was Anfangen.

Wird im Kalender markiert und dann gucke ich mal ob meine Änderungen funktionieren.

Ich berichte, für Menschen die es auch selbst ändern müssen.

Edited by Shad86 (see edit history)

Share this post


Link to post
Share on other sites

Da ist was dran. Hab ich nicht drüber nach gedacht. Dann warte ich mal, vielleicht sagt ja jemand von sich aus Bescheid das sein Paypal auf einmal nicht mehr geht :-)

 

Wie gesagt, lade das Modul runter deinstalliere das alte und gib Deine Daten von PayPal Konto ein und es wird garantiert funktionieren. Warum sollte es nicht funktionieren?

Share this post


Link to post
Share on other sites

Ist richtig.

Nur das wir extra ein Paypal Modul geholt haben was alle Funktionen hat die wir bezüglich Paypal wollen.

Deshalb kann ich nicht einfach das neue Modul nehmen sondern muss unseres passend ändern. Oder die aktuelle Version unseres Moduls kaufen.

Share this post


Link to post
Share on other sites

Was ist den das für ein Spezielles PayPal Modul? Was kann es mehr als das was man kostenlos bekommt?

Share this post


Link to post
Share on other sites

Wir benutzen das "PD Paypal + Extra Fee" von PrestaDev.pl weil erstens bei der Bezahlauswahl gut gekennzeichnet steht was der Kunde bei Paypal als Aufpreis hat (Gebühren).

Zweitens können wir eingeben welche Abschläge wir an Paypal zu zahlen haben, die wir dann an die Kunden weiter geben können.

Und das konnte das Standart Modul bis zu unserem Modulwechsel nicht.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More